Package com.xebialabs.xlrelease.domain.variables

## Class ExternalVariableValue

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.variables.ExternalVariableValue

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false)
      public class ExternalVariableValue
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CONFIGURATION_ID` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExternalVariableValue()` |
    `ExternalVariableValue​(ExternalVariableServer server, java.lang.String path, java.lang.String externalKey)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getExternalKey()` |
    `java.lang.String` | `getPath()` |
    `ExternalVariableServer` | `getServer()` |
    `int` | `hashCode()` |
    `void` | `setExternalKey​(java.lang.String externalKey)` |
    `void` | `setPath​(java.lang.String path)` |
    `void` | `setServer​(ExternalVariableServer server)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONFIGURATION_ID

          public static final java.lang.String CONFIGURATION_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExternalVariableValue

          public ExternalVariableValue()

    - #### ExternalVariableValue

          public ExternalVariableValue​(ExternalVariableServer server,
                                       java.lang.String path,
                                       java.lang.String externalKey)

  - ### Method Detail

    - #### getServer

          public ExternalVariableServer getServer()

    - #### setServer

          public void setServer​(ExternalVariableServer server)

    - #### getPath

          public java.lang.String getPath()

    - #### setPath

          public void setPath​(java.lang.String path)

    - #### getExternalKey

          public java.lang.String getExternalKey()

    - #### setExternalKey

          public void setExternalKey​(java.lang.String externalKey)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `BaseConfigurationItem`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseConfigurationItem`